use cl_repl::repline::Repline;
use pratt::parser;

fn main() {
    let mut rl = Repline::new("\x1b[32m", "crisp >", "what? >");

    while let Ok(line) = rl.read() {
        if let Some(expr) = parser::expr(&line) {
            println!("\x1b[G\x1b[J{expr}");
            rl.accept();
        }
    }
}
